## org.firebirdsql.jdbc
Interface FirebirdResultSet

    public interface FirebirdResultSet

Field Summary
`static int` `CLOSE_CURSORS_AT_COMMIT` The constant indicating that `ResultSet` objects should be closed when the method `Connection.commit` is called.
`static int` `HOLD_CURSORS_OVER_COMMIT` The constant indicating that `ResultSet` objects should not be closed when the method `Connection.commit` is called.

Method Summary
`String` `getExecutionPlan()` Get execution plan for the specified result set.

Field Detail

### HOLD_CURSORS_OVER_COMMIT

    static final int HOLD_CURSORS_OVER_COMMIT

  The constant indicating that `ResultSet` objects should not be closed when the method `Connection.commit` is called. Copied from JDBC 3.0 declaration to let code run in JDK 1.3.

  See Also:
    Constant Field Values

### CLOSE_CURSORS_AT_COMMIT

    static final int CLOSE_CURSORS_AT_COMMIT

  The constant indicating that `ResultSet` objects should be closed when the method `Connection.commit` is called. Copied from JDBC 3.0 declaration to let code run in JDK 1.3.

  See Also:
    Constant Field Values

Method Detail

### getExecutionPlan

    String getExecutionPlan()
                            throws SQLException

  Get execution plan for the specified result set.

  Returns:
    execution plan for this query.
  Throws:
    `SQLException` - if execution plan cannot be obtained or this result set is already closed.
  See Also:
    `FirebirdPreparedStatement.getExecutionPlan()`

Copyright © 2001-2010. All Rights Reserved.